summaryrefslogtreecommitdiffstats
path: root/obsolete-buildroot/sources/openwrt/ipkg/openssh/openssh.client.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'obsolete-buildroot/sources/openwrt/ipkg/openssh/openssh.client.preinst')
-rw-r--r--obsolete-buildroot/sources/openwrt/ipkg/openssh/openssh.client.preinst10
1 files changed, 10 insertions, 0 deletions
diff --git a/obsolete-buildroot/sources/openwrt/ipkg/openssh/openssh.client.preinst b/obsolete-buildroot/sources/openwrt/ipkg/openssh/openssh.client.preinst
new file mode 100644
index 000000000..029c78978
--- /dev/null
+++ b/obsolete-buildroot/sources/openwrt/ipkg/openssh/openssh.client.preinst
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# Make sure password and group databases exist
+if [ ! -f /etc/passwd ]; then
+ echo -e "root::0:0::/tmp:/bin/sh\nnobody:x:65534:65534:nobody:/tmp:/bin/sh\nsshd:x:100:65534:sshd:/var:/bin/false\n" > /etc/passwd
+ [ -f /etc/group ] || echo -e "root:x:0:\nnogroup:x:65534:\n" > /etc/group
+ echo "\n\nNOTICE: SSH requires proper root password to be configured, set it now."
+ passwd
+fi
+